Parameters
JSON body
Request body
application/jsonproductCodestringRequiredProduct code to auto-translate.
Example
my-productAutomatically translates the product name, short description, and long description from the organisation default locale to all other configured organisation locales using AI. Existing translations are overwritten. After translation, the product read model is regenerated.
JSON body
productCodestringRequiredProduct code to auto-translate.
my-product1 status code documented
translatedLocalesstring[]RequiredList of locale codes that were translated.
Locale code that was translated (e.g. "en", "de").
{
"translatedLocales": [
"string"
]
}POST /bff/product/product-auto-translate
curl -X POST "https://api.bizkithub.com/bff/product/product-auto-translate" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"productCode": "my-product"
}'All BizKitHub public API endpoints require authentication via API key.